### Signal

# Phosh AppTracker::app-ready

since: 0

#### Declaration

    void
    app_ready (
      PhoshAppTracker* self,
      GAppInfo* app_info,
      gchar* app_id,
      gpointer user_data
    )

#### Description [src]

The app is ready to be used by the user.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`app_info`

  Type: `GAppInfo`

  The `GAppInfo` of the ready application.

  The data is owned by the caller of the function.

`app_id`

  Type: `gchar*`

  The startup-id of the ready application.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.